// Punt d'enrtada al menu principal del joc

#include <FL/Fl.H>
#include "MainMenu.h"
#include "d_workConfig.h"
#include "AdviceWindow.h"

int main(int argc, char *argv[]) {
    AdviceWindow *aw;
    MainMenu *mm = new MainMenu();
    switch(mm->confControlsState()) {
	case EFILE:
	    aw=new AdviceWindow("No s'ha pogut obrir el fitxer de configuraci\363 dels controls.\nEs posaran les opcions per defecte (cal guardar abans de jugar).");
	    aw->show();
	    Fl::run();
	    break;
	case ESTRUC:
	    aw=new AdviceWindow("El fitxer de configuraci\363 dels controls no \351s correcte.\nEs posaran les opcions per defecte (cal guardar abans de jugar).");
	    aw->show();
	    Fl::run();
	    break;
    	case EPAIR:
	    aw=new AdviceWindow("El fitxer de configuraci\363 dels controls cont\351 una o m\351s definicions de tecles incorrectes.\nEs posaran les opcions per defecte que no s'haguin pogut carregar (cal guardar abans de jugar).");
	    aw->show();
	    Fl::run();
	    break;
    }
    switch(mm->confVideoState()) {
	case EFILE:
	    aw=new AdviceWindow("No s'ha pogut obrir el fitxer de configuraci\363 de les opcions de video.\nEs posaran les opcions per defecte (cal guardar abans de jugar).");
	    aw->show();
	    Fl::run();
	    break;
	case ESTRUC:
	    aw=new AdviceWindow("El fitxer de configuraci\363 de les opcions de video no \351s correcte.\nEs posaran les opcions per defecte (cal guardar abans de jugar).");
	    aw->show();
	    Fl::run();
	    break;
    	case EPAIR:
	    aw=new AdviceWindow("El fitxer de configuraci\363 de les opcions de video cont\351 una o m\351s entrades amb valors incorrectes.\nEs posaran les opcions per defecte que no s'haguin pogut carregar (cal guardar abans de jugar).");
	    aw->show();
	    Fl::run();
	    break;
    }
    mm->show();
    Fl::run();
}

#ifdef WIN32
#error "FALTA REVISAR EL CODI ESPECIFIC DE WINDOWS!!!"
int APIENTRY WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, 
	LPSTR lpCmdLine, int nCmdShow) {
    return main(nCmdShow, &lpCmdLine);
}
#endif

